Bug 887545 - [abrt] gparted-0.12.0-2.fc17: g_realloc: Process /usr/sbin/gpartedbin was killed by signal 11 (SIGSEGV)
Summary: [abrt] gparted-0.12.0-2.fc17: g_realloc: Process /usr/sbin/gpartedbin was kil...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gparted
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0a497069fca5f3407799707d08d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-16 08:13 UTC by Moez Roy
Modified: 2013-03-12 08:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-12 08:47:44 UTC
Type: ---


Attachments (Terms of Use)
File: core_backtrace (5.15 KB, text/plain)
2012-12-16 08:13 UTC, Moez Roy
no flags Details
File: environ (2.01 KB, text/plain)
2012-12-16 08:13 UTC, Moez Roy
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-16 08:13 UTC, Moez Roy
no flags Details
File: backtrace (158.42 KB, text/plain)
2012-12-16 08:13 UTC, Moez Roy
no flags Details
File: smolt_data (2.81 KB, text/plain)
2012-12-16 08:13 UTC, Moez Roy
no flags Details
File: cgroup (128 bytes, text/plain)
2012-12-16 08:13 UTC, Moez Roy
no flags Details
File: executable (20 bytes, text/plain)
2012-12-16 08:13 UTC, Moez Roy
no flags Details
File: maps (34.16 KB, text/plain)
2012-12-16 08:13 UTC, Moez Roy
no flags Details
File: dso_list (6.59 KB, text/plain)
2012-12-16 08:13 UTC, Moez Roy
no flags Details
File: proc_pid_status (893 bytes, text/plain)
2012-12-16 08:13 UTC, Moez Roy
no flags Details
File: var_log_messages (320 bytes, text/plain)
2012-12-16 08:14 UTC, Moez Roy
no flags Details
File: open_fds (227 bytes, text/plain)
2012-12-16 08:14 UTC, Moez Roy
no flags Details

Description Moez Roy 2012-12-16 08:13:39 UTC
Version-Release number of selected component:
gparted-0.12.0-2.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/sbin/gpartedbin
crash_function: g_realloc
kernel:         3.6.9-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #3 g_realloc at gmem.c:224
: #4 g_string_maybe_expand at gstring.c:102
: #5 g_string_insert_len at gstring.c:444
: #7 g_log_default_handler at gmessages.c:1241
: #10 g_type_check_instance_cast at gtype.c:4011
: #11 _gtk_container_queue_resize at gtkcontainer.c:1379
: #12 queue_resize_on_widget at gtksizegroup.c:203
: #13 gtk_widget_show at gtkwidget.c:3242
: #15 gtk_box_forall at gtkbox.c:1251
: #16 gtk_container_show_all at gtkcontainer.c:2611

Comment 1 Moez Roy 2012-12-16 08:13:42 UTC
Created attachment 664235 [details]
File: core_backtrace

Comment 2 Moez Roy 2012-12-16 08:13:43 UTC
Created attachment 664236 [details]
File: environ

Comment 3 Moez Roy 2012-12-16 08:13:45 UTC
Created attachment 664237 [details]
File: limits

Comment 4 Moez Roy 2012-12-16 08:13:49 UTC
Created attachment 664238 [details]
File: backtrace

Comment 5 Moez Roy 2012-12-16 08:13:51 UTC
Created attachment 664239 [details]
File: smolt_data

Comment 6 Moez Roy 2012-12-16 08:13:52 UTC
Created attachment 664240 [details]
File: cgroup

Comment 7 Moez Roy 2012-12-16 08:13:54 UTC
Created attachment 664241 [details]
File: executable

Comment 8 Moez Roy 2012-12-16 08:13:56 UTC
Created attachment 664242 [details]
File: maps

Comment 9 Moez Roy 2012-12-16 08:13:57 UTC
Created attachment 664243 [details]
File: dso_list

Comment 10 Moez Roy 2012-12-16 08:13:59 UTC
Created attachment 664244 [details]
File: proc_pid_status

Comment 11 Moez Roy 2012-12-16 08:14:00 UTC
Created attachment 664245 [details]
File: var_log_messages

Comment 12 Moez Roy 2012-12-16 08:14:02 UTC
Created attachment 664246 [details]
File: open_fds

Comment 13 Fedora Update System 2013-02-22 16:58:39 UTC
gparted-0.14.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gparted-0.14.1-1.fc17

Comment 14 Fedora Update System 2013-02-24 08:45:07 UTC
Package gparted-0.14.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gparted-0.14.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2942/gparted-0.14.1-1.fc17
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2013-03-12 08:47:46 UTC
gparted-0.14.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.